package top.continew.admin.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import top.continew.admin.distribution.service.DistributionService;

@RestController
@RequestMapping("/distribution")
@Tag(name = "分销模块api", description = "分销模块api")
@AllArgsConstructor
public class DistributionController {
    private final DistributionService distributionService;

    @RequestMapping("/getShareCode")
    @Operation(summary = "获取分销邀请码", description = "获取分销邀请码")
    public String getShareCode() {
        return distributionService.getInviteCode();
    }
}
