package top.continew.admin.business.model.req;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(description = "创建或修改奖励规则参数")
public class InviteRewardsRuleReq implements Serializable {

    @Schema(description = "奖励名称")
    @NotNull(message = "奖励名称不能为空")
    private String rewardsName;

    @NotBlank(message = "奖励说明不能为空")
    @Schema(description = "奖励说明")
    private String rewardsDescribe;

    @NotNull(message = "邀请好友数量不能为空")
    @Schema(description = "邀请好友数量")
    private Integer inviteNum;

    @NotNull(message = "金币数量不能为空")
    @Schema(description = "金币数量")
    private Integer goldCoinNum;

}
