package top.continew.admin.business.model.req;

import cn.hutool.core.date.DatePattern;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@Schema(description = "tg用户信息查询")
public class TgUserReq implements Serializable {

    @Schema(description = "用户昵称")
    private String userName;

    @Schema(description = "注册时间", example = "2023-08-08 00:00:00,2023-08-08 23:59:59")
    @DateTimeFormat(pattern = DatePattern.NORM_DATETIME_PATTERN)
    private List<Date> time;


    @Schema(description = "当前页码")
    private int page;

    @Schema(description = "页大小")
    private int size;
}
