package top.continew.admin.controller.business;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import top.continew.admin.business.model.entity.TgUser;
import top.continew.admin.business.model.req.TgUserReq;
import top.continew.admin.business.service.ITgUserService;
import top.continew.starter.extension.crud.model.resp.BasePageResp;

@RestController()
@RequestMapping("/tgUser")
@AllArgsConstructor
@Tag(name = "tg用户管理 API")
public class TgUserController {
    private final ITgUserService userService;

    @RequestMapping("/getTgUserList")
    @Operation(summary = "获取tg用户列表", description = "获取tg用户列表")
    public BasePageResp<TgUser> getTgUserList(TgUserReq req) {
        return userService.pageQuery(req);
    }
}
